MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012994Open CASCADE[OCCT] OCCT:Documentationpublic2006-07-18 13:262006-10-27 16:53
Reporterabv 
Assigned Toatp 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.1.1 
Summary0012994: Undocumented parameters in STEP and IGES translators
DescriptionThe current version of STEP User's Guide (found at
http://sbu.nnov.opencascade.com/maintenance/main_documentation_ov.htm, [^] section
2.3.3) does not document several parameters appeared yet in 2003 after
develoipments made for Test Rallies TRJ10 and TRJ11:

read.step.prod_def_context
read.step.prod_def_level
read.step.product_mode
read.step.shape_repr_level

Similarly section 3.3.2 describing writing to STEP lacks description of the
following parameters:

write.step.product.name
write.step.resource.name
write.step.product.name

Note: it is desirable that default value of parameter write.step.product.name
was corrected to be similar to what is used in IGES or DXF, for instance,
"Open CASCADE STEP translator "OCC_VERSION_STRING

Users Guide on IGES translator should be updated as well; the missing parameters
are the following (section 2.3.3):

read.iges.faulty.entities
read.iges.onlyvisible
TagsNo tags attached.
Test case number
Attached Filesdoc file icon step_611.doc (1,300,480 bytes) 2006-08-02 15:11
doc file icon step.doc (1,224,704 bytes) 2006-08-03 14:54

- Relationships
related to 0013105closedabv Revising of parameters of STEP translator 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-08-01 18:53 abv OtherBugsDependingOnThis => 13105
2006-08-02 11:30 bugmaster Assigned To bugmaster => atp
2006-08-02 11:30 bugmaster Status new => assigned
2006-08-03 17:54 bugmaster Status assigned => verified
2006-10-27 18:53 bugmaster Status verified => closed
2006-10-27 18:53 bugmaster Resolution @0@ => fixed
2011-08-02 11:19 bugmaster Category OCCT:DOC => OCCT:Documentation


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker